BaseDispatchAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.BaseDispatchAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action
Class BaseDispatchAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction

Direct Known Subclasses:
  ConfigAction, DashboardAdminController, ResourceController, UserAdminPortalAction

    public abstract class BaseDispatchAction

extends org.apache.struts.actions.DispatchAction

An abstract Action that dispatches to a subclass mapped method based on the value of a request parameter.

Field Summary

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`BaseDispatchAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process the specified HTTP request, and create the corresponding HTTP response (or forward to another web component that will create it).
`protected java.util.Properties` | `getKeyMethodMap()` Provides the mapping from resource key to method name
`protected void` | `setReturnPath(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected void` | `setReturnPath(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)` Method to overload if the controller wants to be an origin for workflows.

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseDispatchAction

    public BaseDispatchAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Process the specified HTTP request, and create the corresponding HTTP response (or forward to another web component that will create it). Return an `ActionForward` instance describing where and how control should be forwarded, or `null` if the response has already been completed.

  Overrides:
    `execute` in class `org.apache.struts.actions.DispatchAction`
  Parameters:
    `mapping` - The ActionMapping used to select this instance
    `request` - The HTTP request we are processing
    `response` - The HTTP response we are creating
    `form` - The optional ActionForm bean for this request (if any)
  Returns:
    Describes where and how control should be forwarded.
  Throws:
    `java.lang.Exception` - if an error occurs

### getKeyMethodMap

    protected java.util.Properties getKeyMethodMap()

  Provides the mapping from resource key to method name

  Returns:
    Resource key / method name map

### setReturnPath

    protected void setReturnPath(javax.servlet.http.HttpServletRequest request,
                                 org.apache.struts.action.ActionMapping mapping,
                                 java.util.Map params)
                          throws java.lang.Exception

  Method to overload if the controller wants to be an origin for workflows. Child classes should customize this to participate in workflows.

  Parameters:
    `request` - The request to get the session to store the returnPath into.
    `mapping` - The ActionMapping to get the input forward from.
    `params` - A Map of request parameters to add to the return path.
  Throws:
    `java.lang.Exception`

### setReturnPath

    protected void setReturnPath(javax.servlet.http.HttpServletRequest request,
                                 org.apache.struts.action.ActionMapping mapping)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.